//{{AFX_INCLUDES()
#include "msflexgrid.h"
#include "msflexgrid1.h"
//}}AFX_INCLUDES
#if !defined(AFX_DATABASEPAGE_H__F2265707_F289_4B9E_B162_72612DE75C64__INCLUDED_)
#define AFX_DATABASEPAGE_H__F2265707_F289_4B9E_B162_72612DE75C64__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DataBasePage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// DataBasePage dialog
#include "resource.h"
#include "ytvbutton.h"
#define MaxNumbFieldsInDbPatientRec 100
#define MaxNumbFieldsInDbDoctorRec 40
#define MaxNumbFieldsInDbLensStyleRec 100
class CYtvScansView;
class DataBasePage : public CPropertyPage
{
	DECLARE_DYNCREATE(DataBasePage)

// Construction
public:
	DataBasePage();
	~DataBasePage();
	void RemoveAll();
	CYtvScansView* m_pView;
	CPropertySheet* m_pPSh;
	CPropertyPage* m_pPPg;
	CString m_strAddionalRegistryOld;
	afx_msg void OnDbName();
static	enum entypeRegistryNodes  m_enTypeRegNode;
	
	static char* m_pszPatientRecFormat[];
	static char* m_pszDoctorRecFormat[];
	static char* m_pszLensTypeRecFormat[];
	static char* m_pszFullPatientRecFormat[];
	static char* m_pszFullDoctorRecFormat[];
	static char* m_pszFullLensTypeRecFormat[];
	static char* m_pszEditNewLensTypeRecFormat[];
	static struct sttypeRegistryNodes m_arListReg[];
    CString m_pszDbPatientRec[MaxNumbFieldsInDbPatientRec];
	CString m_pszDbDoctorRec[MaxNumbFieldsInDbDoctorRec];
	CString m_pszDbLensStyleRec[MaxNumbFieldsInDbLensStyleRec];
	int ReadRegistryDB();
	BOOL WriteRegistryDB(const char* RecordId);
	int FindRecord(const char* RecordId, DWORD column=1);
	int FindLastRecord(DWORD column=1);
	void RemoveGridRow(int row=-1);
// Dialog Data
	//{{AFX_DATA(DataBasePage)
	enum { IDD = IDD_DATABASE };
	CStatic	m_stDB_NAME;
	CButton	m_comboS0;
	CButton	m_comboS1;
	CButton	m_comboS2;
	CTabCtrl	m_tabEditTables;
	CTabCtrl	m_tabInputOutput;
	int		m_nSearch;
	CString	m_edSearch;
	int		m_nCalculator;
	int		m_nPatientDoctorEtc;
	CMSFlexGrid	m_gridTables;
	CString	m_szDBName;
	//}}AFX_DATA
	int m_nSelInputOutput;
    int m_nPrevSection; 
	int m_nEditNewDel;
	CString	m_comboComPort;
	HFONT m_hfntButtons;
	HBRUSH   m_hbrDialBrush;
	COLORREF m_clrDialBrush;
	COLORREF m_clrDialBack;
	COLORREF m_clrDialFront;
	HBRUSH   m_hbrButtonsBrush;
    COLORREF m_clrButtonsBrush; 
	COLORREF m_clrButtonsBack;
	COLORREF m_clrButtonsFront;
	HBRUSH   m_hbrStaticBrush;
    COLORREF m_clrStaticBrush; 
	COLORREF m_clrStaticBack;
	COLORREF m_clrStaticFront;
	COLORREF m_clrMsgBoxesBrush; 
	HBRUSH   m_hbrMsgBoxesBrush;
	COLORREF m_clrMsgBoxesBack;
	COLORREF m_clrMsgBoxesFront;
	COLORREF m_clrEditBoxesBrush; 
	HBRUSH   m_hbrEditBoxesBrush;
	COLORREF m_clrEditBoxesBack;
	COLORREF m_clrEditBoxesFront;
	COLORREF m_clrScrollBarsBrush; 
	HBRUSH   m_hbrScrollBarsBrush;
	COLORREF m_clrScrollBarsBack;
	COLORREF m_clrScrollBarsFront;
	COLORREF m_clrListBoxesBrush; 
	HBRUSH   m_hbrListBoxesBrush;
	COLORREF m_clrListBoxesBack;
	COLORREF m_clrListBoxesFront;
	HDC m_hdcmemUp;
	HDC m_hdcmemDown;
	HDC m_hdcmemDisable;
    HBITMAP m_hbmUp;
    HBITMAP m_hbmDown;
	HBITMAP m_hbmDisable;
	HBRUSH m_hbrUp;
	HBRUSH m_hbrDown;
	HBRUSH m_hbrDisable;
    void NewEditPatient(BOOL bNew);
	void NewEditDoctor();
	void NewEditLens(BOOL bNew);
	void MemEditdoctor();
// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(DataBasePage)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(DataBasePage)
	afx_msg void OnPatient();
	afx_msg void OnLensStyles();
	afx_msg void OnDoctor();
	afx_msg void OnClickInputOutput(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangeInputOutput(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangeEditTables(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClickEditTables(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	virtual BOOL OnInitDialog();
	afx_msg void OnFont();
	afx_msg void OnUpdateFont(CCmdUI* pCmdUI);
	afx_msg void OnSelChangeTables();
	afx_msg void OnSearchbutton();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnMETHOD1Calc();
	afx_msg void OnMETHOD1Calculator();
	afx_msg void OnButtonOpenDb();
	afx_msg void OnButtonSaveDbAs();
	afx_msg void OnButtonCloseApp();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DATABASEPAGE_H__F2265707_F289_4B9E_B162_72612DE75C64__INCLUDED_)
