// ExitPage.cpp : implementation file
//

#include "stdafx.h"
#include "ExitPage.h"
#include "MeasurementPage.h"
#define HIDR_YTVSCNTYPE                         0x2007F
//#include "YtvAboutDial.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ExitPage property page
extern BOOL g_bChangeWindowStyle;
extern BOOL g_bSetViewAllScreen;
extern BOOL g_bDoNotMinimize;
extern BOOL g_bShowMaxAndCurrentDBId;
extern BOOL g_bPatientHistoryShowSdAvGrids;
extern BOOL g_bShowGate;
int g_nRow=-1;
unsigned g_uIDR_HelpItem=HIDR_YTVSCNTYPE;
extern int g_nRow;
extern int g_nHorLineY;
extern int g_nVerMarkLen;
extern CString g_szPatientId;
extern CString g_strAvAlDistOS;
extern int g_nTimer1Span;
extern int g_nTimer2Span;
extern int g_nTimer3Span;
extern int g_nTimer4Span;
extern int g_nTimer5Span;
extern int g_bOD;
extern int g_bMeasurePageInited;
extern int g_nHorMarkLen;
extern BOOL g_bShowDbScanId;
BOOL g_bDoNotRecordMeasureResWhenEqPrevOne=FALSE;
IMPLEMENT_DYNCREATE(ExitPage, CPropertyPage)

ExitPage::ExitPage() : CPropertyPage(ExitPage::IDD)
{
	//{{AFX_DATA_INIT(ExitPage)
	m_bSimulateInput = MeasurementPage::m_bSimulateInput;
	m_strSeedNumber = _T("1");
	m_bShowGate = g_bShowGate;	
	m_bShowScanDbId = g_bShowDbScanId;
	m_bPatHistSdAv = g_bPatientHistoryShowSdAvGrids;
	m_bDoNotRecordMeasureResWhenEqPrevOne = g_bDoNotRecordMeasureResWhenEqPrevOne;
	m_bShowCurrentAndMaxDbId = g_bShowMaxAndCurrentDBId;
	m_bDoNotMinimize = g_bDoNotMinimize;
	m_bSetViewAllScreen = g_bSetViewAllScreen;
	m_bChangeWindowsStyle = g_bChangeWindowStyle;
	//}}AFX_DATA_INIT
	m_strTimeSpanUpdateResults.Format("%d",g_nTimer5Span);
	m_strTimeSpanBack.Format("%d",g_nTimer4Span);
	m_strTimeSpanForward.Format("%d",g_nTimer3Span);
	m_strTimeSpanPlay.Format("%d",g_nTimer2Span);
	m_strTimerSpan.Format("%d",g_nTimer1Span);
	m_clrDialBack=RGB(0,0,0);
	m_clrDialFront=RGB(0,0,0);
	m_clrDialBrush=RGB(0,255,0);    
   	m_hbrDialBrush=CreateSolidBrush(m_clrDialBrush);
	m_clrButtonsBrush=RGB(255,0,0); 
	m_hbrButtonsBrush=CreateSolidBrush(m_clrButtonsBrush);
	m_clrButtonsBack=RGB(255,0,0);
	m_clrButtonsFront=RGB(255,255,255);
	m_clrStaticBrush=RGB(0,255,0); 
	m_clrStaticBack=RGB(0,255,0);
	m_clrStaticFront=RGB(0,0,0);
	m_hbrStaticBrush=CreateSolidBrush(m_clrStaticBrush);
	m_clrMsgBoxesBrush=RGB(255,0,0); 
	m_hbrMsgBoxesBrush=CreateSolidBrush(m_clrButtonsBrush);
	m_clrMsgBoxesBack=RGB(255,0,0);
	m_clrMsgBoxesFront=RGB(255,255,255);
	m_clrEditBoxesBrush=RGB(255,0,0); 
	m_hbrEditBoxesBrush=CreateSolidBrush(m_clrButtonsBrush);
	m_clrEditBoxesBack=RGB(255,0,0);
	m_clrEditBoxesFront=RGB(255,255,255);
	m_clrScrollBarsBrush=RGB(255,0,0); 
	m_hbrScrollBarsBrush=CreateSolidBrush(m_clrButtonsBrush);
	m_clrScrollBarsBack=RGB(255,0,0);
	m_clrScrollBarsFront=RGB(255,255,255);
	m_clrListBoxesBrush=RGB(255,0,0); 
	m_hbrListBoxesBrush=CreateSolidBrush(m_clrButtonsBrush);
	m_clrListBoxesBack=RGB(255,0,0);
	m_clrListBoxesFront=RGB(255,255,255);
}

ExitPage::~ExitPage()
{
}

void ExitPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(ExitPage)
	DDX_Check(pDX, IDC_SIMULATE_INPUT, m_bSimulateInput);
	DDX_Text(pDX, IDC_SEED_NUMBER, m_strSeedNumber);
	DDX_Text(pDX, IDC_TIMER_SPAN, m_strTimerSpan);
	DDX_Text(pDX, IDC_TIMER_SPAN_PLAY, m_strTimeSpanPlay);
	DDX_Text(pDX, IDC_TIMER_SPAN_BACK, m_strTimeSpanBack);
	DDX_Text(pDX, IDC_TIMER_SPAN_FORWARD, m_strTimeSpanForward);
	DDX_Check(pDX, IDC_SHOW_GATE, m_bShowGate);
	DDX_Text(pDX, IDC_TIMER_SPAN_UPDATE_AL, m_strTimeSpanUpdateResults);
	DDX_Check(pDX, IDC_CHECKDISPLAY_SCANDBID, m_bShowScanDbId);
	DDX_Check(pDX, IDC_CHECKDISPLAY_PATHISTSDAV, m_bPatHistSdAv);
	DDX_Check(pDX, IDC_CHECK_DONOT_WRT_INDB_PREV_EQ_CURR, m_bDoNotRecordMeasureResWhenEqPrevOne);
	DDX_Check(pDX, IDC_CHECK_SHOW_CURRENT_AND_MAX_DB_ID, m_bShowCurrentAndMaxDbId);
	DDX_Check(pDX, IDC_DO_NOT_MINIMIZE, m_bDoNotMinimize);
	DDX_Check(pDX, IDC_SET_VIEW_ALL_SCREEN, m_bSetViewAllScreen);
	DDX_Check(pDX, IDC_CHANGE_WINDOW_STYLE, m_bChangeWindowsStyle);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(ExitPage, CPropertyPage)
	//{{AFX_MSG_MAP(ExitPage)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDC_SIMULATE_INPUT, OnSimulateInput)
	ON_EN_CHANGE(IDC_TIMER_SPAN, OnChangeTimerSpan)
	ON_EN_CHANGE(IDC_TIMER_SPAN_PLAY, OnChangeTimerSpanPlay)
	ON_EN_CHANGE(IDC_TIMER_SPAN_FORWARD, OnChangeTimerSpanForward)
	ON_EN_CHANGE(IDC_TIMER_SPAN_BACK, OnChangeTimerSpanBack)
	ON_BN_CLICKED(IDC_PAGEHELPBUT, OnPagehelpbut)
	ON_BN_CLICKED(IDC_PAGEABOUTBUT, OnPageaboutbut)
	ON_BN_CLICKED(IDC_SHOW_GATE, OnShowGate)
	ON_EN_CHANGE(IDC_TIMER_SPAN_UPDATE_AL, OnChangeTimerSpanUpdateAl)
	ON_BN_CLICKED(IDC_CHECKDISPLAY_SCANDBID, OnCheckdisplayScandbid)
	ON_BN_CLICKED(IDC_CHECKDISPLAY_PATHISTSDAV, OnCheckdisplayPathistsdav)
	ON_BN_CLICKED(IDC_CHECK_DONOT_WRT_INDB_PREV_EQ_CURR, OnCheckDonotWrtIndbPrevEqCurr)
	ON_BN_CLICKED(IDC_CHECK_SHOW_CURRENT_AND_MAX_DB_ID, OnCheckShowCurrentAndMaxDbId)
	ON_BN_CLICKED(IDC_DO_NOT_MINIMIZE, OnDoNotMinimize)
	ON_BN_CLICKED(IDC_SET_VIEW_ALL_SCREEN, OnSetViewAllScreen)
	ON_BN_CLICKED(IDC_CHANGE_WINDOW_STYLE, OnChangeWindowStyle)
	ON_COMMAND(ID_HELP_FINDER, OnHelpFinder)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	ON_COMMAND(ID_YTV_HELP0, OnYtvHelp0)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ExitPage message handlers

HBRUSH ExitPage::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	  switch(nCtlColor)
	{
		default:

			return CPropertyPage::OnCtlColor(pDC, pWnd, nCtlColor);
			
		case CTLCOLOR_BTN: //  Button control
            SetTextColor(pDC->m_hDC,m_clrButtonsFront);
			SetBkColor(pDC->m_hDC,m_clrButtonsBack); 
            return m_hbrButtonsBrush;
						            
        case CTLCOLOR_DLG://   Dialog box
            SetTextColor(pDC->m_hDC,m_clrDialFront);
			SetBkColor(pDC->m_hDC,m_clrDialBack); 
            return m_hbrDialBrush;               
case CTLCOLOR_EDIT://   Edit control
            SetTextColor(pDC->m_hDC,m_clrEditBoxesFront);
			SetBkColor(pDC->m_hDC,m_clrEditBoxesBack);  
            return m_hbrEditBoxesBrush;
case CTLCOLOR_LISTBOX://   List-box control
            SetTextColor(pDC->m_hDC,m_clrListBoxesFront);
			SetBkColor(pDC->m_hDC,m_clrListBoxesBack);  
            return m_hbrListBoxesBrush;
case CTLCOLOR_MSGBOX://   Message box
            SetTextColor(pDC->m_hDC,m_clrMsgBoxesFront);
			SetBkColor(pDC->m_hDC,m_clrMsgBoxesBack); 
			return m_hbrMsgBoxesBrush;
case CTLCOLOR_SCROLLBAR://   Scroll-bar control
            SetTextColor(pDC->m_hDC,m_clrScrollBarsFront);
			SetBkColor(pDC->m_hDC,m_clrScrollBarsBack);  
            return m_hbrScrollBarsBrush;
case CTLCOLOR_STATIC://   Static control 
            SetTextColor(pDC->m_hDC,m_clrStaticFront); 
            SetBkColor(pDC->m_hDC,m_clrStaticBack); 
            return m_hbrStaticBrush;
	}
	
	// TODO: Return a different brush if the default is not desired
	return CPropertyPage::OnCtlColor(pDC, pWnd, nCtlColor);
}

void ExitPage::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	CPropertyPage::OnCancel();
}

void ExitPage::OnOK() 
{
	// TODO: Add extra validation here
	AfxGetMainWnd()->PostMessage(WM_CLOSE,0,0);
	CPropertyPage::OnOK();
}

BOOL ExitPage::OnSetActive() 
{
	// TODO: Add your specialized code here and/or call the base class
	UpdateData();
	m_bShowScanDbId = g_bShowDbScanId;
	m_strTimeSpanUpdateResults.Format("%d",g_nTimer5Span);
    m_strTimeSpanUpdateResults.TrimLeft();
	UpdateData(FALSE);
	return CPropertyPage::OnSetActive();
}

BOOL ExitPage::OnKillActive() 
{
	// TODO: Add your specialized code here and/or call the base class
	
	return CPropertyPage::OnKillActive();
}

void ExitPage::OnSimulateInput() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	MeasurementPage::m_bSimulateInput=m_bSimulateInput;
	srand(atoi(m_strSeedNumber));
	UpdateData(FALSE);
}

void ExitPage::OnChangeTimerSpan() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CPropertyPage::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	UpdateData();
	// TODO: Add your control notification handler code here
	g_nTimer1Span=atoi(m_strTimerSpan);
	UpdateData(FALSE);
}

void ExitPage::OnChangeTimerSpanPlay() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CPropertyPage::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
		UpdateData();
	g_nTimer2Span=atoi(m_strTimeSpanPlay);
	UpdateData(FALSE);
}

void ExitPage::OnChangeTimerSpanForward() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CPropertyPage::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
		UpdateData();
	g_nTimer3Span=atoi(m_strTimeSpanForward);
	UpdateData(FALSE);
}

void ExitPage::OnChangeTimerSpanBack() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CPropertyPage::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
		UpdateData();
   g_nTimer4Span=atoi(m_strTimeSpanBack);
   UpdateData(FALSE);
}
void ExitPage::OnChangeTimerSpanUpdateAl()
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CPropertyPage::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
		UpdateData();
   g_nTimer5Span=atoi(m_strTimeSpanUpdateResults);	
   UpdateData(FALSE);
}
void ExitPage::OnPagehelpbut() 
{
	// TODO: Add your control notification handler code here
   UpdateData();
   //AfxGetMainWnd()->PostMessage(WM_HELP,g_uIDR_HelpItem,0);
   //AfxGetApp()->WinHelp(g_uIDR_HelpItem);
   ::WinHelp(AfxGetMainWnd()->m_hWnd, "YtvServices.hlp",HELP_FINDER,0);
   //WinHelp(AfxGetMainWnd()->m_hWnd, "YtvServices.hlp", HELP_CONTEXT, 13); 
/*     
   HelpScribble generates standard WinHelp .hlp files and HTML Help .chm 
files that can be connected to any Windows application, regardless of the 
development tool used. All development tools for the Windows platform 
that I know of support either the .hlp or the .chm format. Some support 
both. 

Please refer to the documentation of your development tool to learn how to 
link a help file to your application. If you need numeric IDs to refer to 
topics, that is the Topic ID in HelpScribble. If you need string IDs, 
that is the Context String in HelpScribble. Select Topic|Properties from 
the menu to view or change the Context String. The Context String of 
topic 1234 is Scribble1234 by default. If you need the file name of the 
topic inside the .chm file, that is html\hs1234.htm for topic 1234, 
assuming the context string is set to its default value of Scribble1234. 
If not, the file name of the topic inside the .chm file is 
html\contextstring.htm. 

If you can call the Win32 API, you can use the WinHelp() API call to open 
a help file in WinHelp Format: 

WinHelp(hwnd, "helpfile.hlp", HELP_CONTEXT, 1234); 

where 1234 is the Topic ID. 

To show the table of contents, use: 

WinHelp(hwnd, "helpfile.hlp", HELP_FINDER, 0); 

> I already see the content, but the index does not work. 

The index is an inseparable part of the help file. 
If you compile into WinHelp format, the table of contents is stored as a 
separate .cnt file. Make sure to copy it along with the .hlp file. 

> How to delete/edit topics and links make unlinked or change the 
> topic for the link? 

You can change the target of a link simply by changing the topic number 
inside the LinkID tag. In HelpScribble, the link tags are ordinary text 
that you can edit as any other text. 

To remove a link, delete the link text and link tag, and retype the text. 

Kind regards, 
Jan Goyvaerts 

-- 
HelpScribble -- http://www.helpscribble.com 
*/
}

void ExitPage::OnPageaboutbut() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	YtvAboutDial dlg("Ytv Services, Demonstration Version 1.0");
	dlg.DoModal();
	UpdateData(FALSE);
}

void ExitPage::OnShowGate() 
{
	// TODO: Add your control notification handler code here
		UpdateData();
	g_bShowGate=m_bShowGate;
	UpdateData(FALSE);
}



void ExitPage::OnCheckdisplayScandbid() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	g_bShowDbScanId=m_bShowScanDbId;
	UpdateData(FALSE);
}

void ExitPage::OnCheckdisplayPathistsdav() 
{
	// TODO: Add your control notification handler code here
     UpdateData();
	 g_bPatientHistoryShowSdAvGrids=m_bPatHistSdAv;
	 UpdateData(FALSE);
}

void ExitPage::OnCheckDonotWrtIndbPrevEqCurr() 
{
	// TODO: Add your control notification handler code here
    UpdateData();
	g_bDoNotRecordMeasureResWhenEqPrevOne = m_bDoNotRecordMeasureResWhenEqPrevOne;
    UpdateData(FALSE);
}

void ExitPage::OnCheckShowCurrentAndMaxDbId() 
{
	// TODO: Add your control notification handler code here
    UpdateData();
	g_bShowMaxAndCurrentDBId=m_bShowCurrentAndMaxDbId;
	UpdateData(FALSE);
}

void ExitPage::OnDoNotMinimize() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	g_bDoNotMinimize=m_bDoNotMinimize;
	UpdateData(FALSE);
}

void ExitPage::OnSetViewAllScreen() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	g_bSetViewAllScreen=m_bSetViewAllScreen;
	if(!g_bSetViewAllScreen)
		AfxGetMainWnd()->ShowWindow(SW_MAXIMIZE);
	else
        AfxGetMainWnd()->ShowWindow(SW_RESTORE);
	UpdateData(FALSE);
	
}

void ExitPage::OnChangeWindowStyle() 
{
	// TODO: Add your control notification handler code here
    UpdateData();
	g_bChangeWindowStyle=m_bChangeWindowsStyle;
	CWnd* pw=AfxGetMainWnd();
	UINT style=GetWindowLong(pw->m_hWnd,GWL_STYLE);
    if(!g_bChangeWindowStyle)
	{
      if(style&WS_THICKFRAME)
		style^=WS_THICKFRAME;  //YTV0 
	  else
        style|=WS_THICKFRAME;  //YTV0 
      SetWindowLong(pw->m_hWnd,GWL_STYLE,style);
    }

}

void ExitPage::OnHelpFinder() 
{
	// TODO: Add your command handler code here
	::WinHelp(AfxGetMainWnd()->m_hWnd, "YtvServices.hlp", HELP_CONTEXT, 10); 
}

void ExitPage::OnAppAbout() 
{
	// TODO: Add your command handler code here
	OnPageaboutbut(); 
}

void ExitPage::OnYtvHelp0() 
{
	// TODO: Add your command handler code here
	::WinHelp(AfxGetMainWnd()->m_hWnd, "YtvServices.hlp", HELP_CONTEXT, 10); 
}
