#if !defined(AFX_EXITPAGE_H__3068FF95_ACBF_454D_93C5_A2A5AB9777D6__INCLUDED_)
#define AFX_EXITPAGE_H__3068FF95_ACBF_454D_93C5_A2A5AB9777D6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ExitPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// ExitPage dialog

class ExitPage : public CPropertyPage
{
	DECLARE_DYNCREATE(ExitPage)

// Construction
public:
	ExitPage();
	~ExitPage();

// Dialog Data
	//{{AFX_DATA(ExitPage)
	enum { IDD = IDD_EXIT };
	BOOL	m_bSimulateInput;
	CString	m_strSeedNumber;
	CString	m_strTimerSpan;
	CString	m_strTimeSpanPlay;
	CString	m_strTimeSpanBack;
	CString	m_strTimeSpanForward;
	BOOL	m_bShowGate;
	CString	m_strTimeSpanUpdateResults;
	BOOL	m_bShowScanDbId;
	BOOL	m_bPatHistSdAv;
	BOOL	m_bDoNotRecordMeasureResWhenEqPrevOne;
	BOOL	m_bShowCurrentAndMaxDbId;
	BOOL	m_bDoNotMinimize;
	BOOL	m_bSetViewAllScreen;
	BOOL	m_bChangeWindowsStyle;
	//}}AFX_DATA

HBRUSH   m_hbrDialBrush;
	COLORREF m_clrDialBrush;
	COLORREF m_clrDialBack;
	COLORREF m_clrDialFront;
	HBRUSH   m_hbrButtonsBrush;
    COLORREF m_clrButtonsBrush; 
	COLORREF m_clrButtonsBack;
	COLORREF m_clrButtonsFront;
	HBRUSH   m_hbrStaticBrush;
    COLORREF m_clrStaticBrush; 
	COLORREF m_clrStaticBack;
	COLORREF m_clrStaticFront;
	COLORREF m_clrMsgBoxesBrush; 
	HBRUSH   m_hbrMsgBoxesBrush;
	COLORREF m_clrMsgBoxesBack;
	COLORREF m_clrMsgBoxesFront;
	COLORREF m_clrEditBoxesBrush; 
	HBRUSH   m_hbrEditBoxesBrush;
	COLORREF m_clrEditBoxesBack;
	COLORREF m_clrEditBoxesFront;
	COLORREF m_clrScrollBarsBrush; 
	HBRUSH   m_hbrScrollBarsBrush;
	COLORREF m_clrScrollBarsBack;
	COLORREF m_clrScrollBarsFront;
	COLORREF m_clrListBoxesBrush; 
	HBRUSH   m_hbrListBoxesBrush;
	COLORREF m_clrListBoxesBack;
	COLORREF m_clrListBoxesFront;
// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(ExitPage)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
public:
	// Generated message map functions
	//{{AFX_MSG(ExitPage)
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnSimulateInput();
	afx_msg void OnChangeTimerSpan();
	afx_msg void OnChangeTimerSpanPlay();
	afx_msg void OnChangeTimerSpanForward();
	afx_msg void OnChangeTimerSpanBack();
	afx_msg void OnPagehelpbut();
	afx_msg void OnPageaboutbut();
	afx_msg void OnShowGate();
	afx_msg void OnChangeTimerSpanUpdateAl();
	afx_msg void OnCheckdisplayScandbid();
	afx_msg void OnCheckdisplayPathistsdav();
	afx_msg void OnCheckDonotWrtIndbPrevEqCurr();
	afx_msg void OnCheckShowCurrentAndMaxDbId();
	afx_msg void OnDoNotMinimize();
	afx_msg void OnSetViewAllScreen();
	afx_msg void OnChangeWindowStyle();
	afx_msg void OnHelpFinder();
	afx_msg void OnAppAbout();
	afx_msg void OnYtvHelp0();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXITPAGE_H__3068FF95_ACBF_454D_93C5_A2A5AB9777D6__INCLUDED_)
