// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "YtvServices.h"
#include "YtvMenuDialog.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
BOOL g_bDoNotMinimize=TRUE;
BOOL g_bSetViewAllScreen=TRUE;
BOOL g_bChangeWindowStyle=TRUE;
/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNAMIC(CMainFrame, CMDIFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CMDIFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	ON_WM_MOVE()
	ON_WM_SIZE()
//	ON_BN_CLICKED(IDC_YTV_BUTTON_EXIT, OnYtvButtonExit)
	ON_COMMAND(IDM_YTV_DELETE_REG_DATABASE, OnYtvDeleteRegDatabase)
	ON_UPDATE_COMMAND_UI(IDM_YTV_DELETE_REG_DATABASE, OnUpdateYtvDeleteRegDatabase)
	//}}AFX_MSG_MAP
	// Global help commands
	ON_COMMAND(ID_HELP_FINDER, CMDIFrameWnd::OnHelpFinder)
	ON_COMMAND(ID_HELP, CMDIFrameWnd::OnHelp)
	ON_COMMAND(ID_CONTEXT_HELP, CMDIFrameWnd::OnContextHelp)
	ON_COMMAND(ID_DEFAULT_HELP, CMDIFrameWnd::OnHelpFinder)
END_MESSAGE_MAP()

static UINT indicators[] =
{
	ID_SEPARATOR,           // status line indicator
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
	// TODO: add member initialization code here
	m_pdmenu=NULL;
}

CMainFrame::~CMainFrame()
{
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CMDIFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
 //YTV0	
/*	if (!m_wndToolBar.CreateEx(this, TBSTYLE_FLAT, WS_CHILD | WS_VISIBLE | CBRS_TOP
		| CBRS_GRIPPER | CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC) ||
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}

	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create status bar\n");
		return -1;      // fail to create
	}

	// TODO: Delete these three lines if you don't want the toolbar to
	//  be dockable
	m_wndToolBar.EnableDocking(CBRS_ALIGN_ANY);
	EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_wndToolBar);
	SetForegroundWindow();*/
    SetPos(); //YTV0
	//ShowWindow(SW_MAXIMIZE);
	m_pdmenu=new YtvMenuDialog;
	m_pdmenu->Create(m_hWnd);
    m_pdmenu->ShowWindow(SW_SHOW);
	m_pdmenu->UpdateWindow();
	return 0;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	//cs.cy=GetSystemMetrics(SM_CYMAXIMIZED)+GetSystemMetrics(SM_CYCAPTION)
	//	+GetSystemMetrics(SM_CYMENU)+2*GetSystemMetrics(SM_CYCAPTION); 
	//cs.style^=WS_OVERLAPPED;   
    //cs.style|=WS_POPUP;  
	//cs.hMenu=NULL;
	if(g_bChangeWindowStyle)
		cs.style^=WS_THICKFRAME;  //YTV0
	if( !CMDIFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return TRUE;
}
BOOL CMainFrame::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext*)
{
	//nonstandard menu is used so do not check
  CMenu* pMenu = NULL;
	if (m_hMenuDefault == NULL)
	{
		// default implementation for MFC V1 backward compatibility
		pMenu = GetMenu();
		//ASSERT(pMenu != NULL);
		// This is attempting to guess which sub-menu is the Window menu.
		// The Windows user interface guidelines say that the right-most
		// menu on the menu bar should be Help and Window should be one
		// to the left of that.
		int iMenu = pMenu->GetMenuItemCount() - 2;

		// If this assertion fails, your menu bar does not follow the guidelines
		// so you will have to override this function and call CreateClient
		// appropriately or use the MFC V2 MDI functionality.
		//ASSERT(iMenu >= 0);
		pMenu = pMenu->GetSubMenu(iMenu);
		//ASSERT(pMenu != NULL);
	}

	return CreateClient(lpcs, pMenu);
  //return TRUE;
}
/////////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CMDIFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CMDIFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers


void CMainFrame::OnMove(int x, int y) 
{
	CMDIFrameWnd::OnMove(x, y);
	//	ShowWindow(SW_SHOW);
	// TODO: Add your message handler code here
	//SetPos();
}

void CMainFrame::OnSize(UINT nType, int cx, int cy) 
{
	CMDIFrameWnd::OnSize(nType, cx, cy);
	//ShowWindow(SW_SHOW);
	// TODO: Add your message handler code here
	if(nType==SIZE_MINIMIZED && g_bDoNotMinimize)
		ShowWindow(SW_RESTORE);
	//SetPos();
}
//YTV0
void CMainFrame::SetPos()
{
	if(!g_bSetViewAllScreen)
		return;
    RECT rt,rtw;//,rttbsb;
	SIZE sz;
    GetClientRect(&rt);
    GetWindowRect(&rtw);
	ClientToScreen(&rt);
	sz.cx=GetSystemMetrics(SM_CXSCREEN);
	//sz.cy=GetSystemMetrics(SM_CYSCREEN);
	sz.cy=GetSystemMetrics(SM_CYMAXIMIZED);
   	//m_wndToolBar.GetWindowRect(&rttbsb);
	rtw.top=rtw.top-rt.top+GetSystemMetrics(SM_CYFIXEDFRAME)*2;
	//rtw.top-=rttbsb.bottom-rttbsb.top+1;
	rtw.left=rtw.left-rt.left;
	rtw.right=sz.cx-rtw.left;//+GetSystemMetrics(SM_CXFIXEDFRAME)*2;//left is negative coor
    rtw.bottom=sz.cy-rtw.top+GetSystemMetrics(SM_CYFIXEDFRAME);//
    WINDOWPLACEMENT wpl;
	wpl.length=sizeof(WINDOWPLACEMENT);
	wpl.ptMaxPosition.x=rtw.right;
    wpl.ptMaxPosition.y=rtw.bottom;
    wpl.ptMinPosition.x=rtw.right;
    wpl.ptMinPosition.y=rtw.bottom;
	wpl.rcNormalPosition=rtw;
    wpl.rcNormalPosition.bottom+=rtw.top;
	wpl.rcNormalPosition.right+=rtw.left;
	wpl.showCmd=SW_SHOW;
	wpl.flags=WPF_SETMINPOSITION;
	::SetWindowPlacement(m_hWnd,&wpl);
    //rtw.bottom+=rttbsb.bottom-rttbsb.top+1;
	//m_wndStatusBar.GetWindowRect(&rttbsb);
    //rtw.bottom+=(rttbsb.bottom-rttbsb.top+1);
	::SetWindowPos(m_hWnd,HWND_TOP,rtw.left,rtw.top,rtw.right,rtw.bottom,SWP_NOCOPYBITS|SWP_SHOWWINDOW);
	//::SetWindowPos(m_hWnd,HWND_TOP,rtw.left,rtw.top,rtw.right,rtw.bottom,SWP_NOCOPYBITS|SWP_SHOWWINDOW);
	//UpdateWindow();
}
// //YTV0

void CMainFrame::OnYtvButtonExit() 
{
	// TODO: Add your control notification handler code here
   m_pdmenu->OnYtvButtonExit();	
}

void CMainFrame::OnYtvButtonOpen() 
{
	// TODO: Add your control notification handler code here
	m_pdmenu->OnYtvButtonOpen();
}

void CMainFrame::OnYtvButtonOpenNew() 
{
	// TODO: Add your control notification handler code here
	m_pdmenu->OnYtvButtonOpenNew();
}

void CMainFrame::OnYtvDeleteRegDatabase() 
{
	// TODO: Add your command handler code here
	CMDIChildWnd* pw;
	do{
            pw=MDIGetActive(NULL);
		if(pw)
			pw->MDIDestroy();
		Invalidate();
    }while(pw);
	YtvDeleteProfileSection(YtvGetApplRegNode(),-1);
}

void CMainFrame::OnUpdateYtvDeleteRegDatabase(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	
}
