// NewEditPatientDial.cpp : implementation file
//

#include "stdafx.h"
//#include "YtvUltraSoundMedScan0.h"
#include "NewEditPatientDial.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// NewEditPatientDial dialog
extern int g_nRow;
extern CString g_szPatientId;
BOOL g_bNewPatient=TRUE;
extern BOOL g_bPatient;
entypeRegistryNodes NewEditPatientDial::m_enTypeRegNode=encFullLensTypeRec;
char* NewEditPatientDial::m_pszPatientRecFormat[]={"PatientID","FirstName","LastName","DoctorName", "Nt",NULL};
char* NewEditPatientDial::m_pszFullPatientRecFormat[]={"PatientID","FirstName","LastName","DoctorName", "Nt","DoctorID","DateOfBirth","Sex","Address","City","State","Zip","Phone","RiK1V","RiK2V","RiKV","LeK1V","LeK2V","LeKV",NULL};
char* NewEditPatientDial::m_pszDoctorRecFormat[]={"OficeName","OficeAddress","DoctorID","FirstName","LastName",NULL};
char* NewEditPatientDial::m_pszLensTypeRecFormat[]={"LensMfg","LensName","MfgA_Const","MfgACD","MfgSF",NULL};
char* NewEditPatientDial::m_pszFullDoctorRecFormat[]={"DoctorID","FirstName","LastName","Nt","OficeName","OficeAddress",NULL};
char* NewEditPatientDial::m_pszFullLensTypeRecFormat[]={"LensMfg","LensName", "MfgA_Const", "pA_Const", "MfgACD", "pACD", "MfgSF", "pSF",NULL};
char* NewEditPatientDial::m_pszEditNewLensTypeRecFormat[]={"LensName","LensMfg", "MfgA_Const", "MfgACD","OD1","OD2",
	"OL","LA","PR","OM","LM","PC","Ad","MfgSF","Hd","Hacd","Nt",NULL};
struct sttypeRegistryNodes NewEditPatientDial::m_arListReg[]=
{
	{"CommonSettings",NULL,NULL},
	{"Patients",m_pszPatientRecFormat,NULL},
    {"Doctors",m_pszDoctorRecFormat,NULL},
	{"LensesType",m_pszLensTypeRecFormat,NULL},
    {"Patients",m_pszFullPatientRecFormat,NULL},
    {"Doctors",m_pszFullDoctorRecFormat,NULL},
	{"LensesType",m_pszFullLensTypeRecFormat,NULL},
	{"LensesType",m_pszEditNewLensTypeRecFormat,NULL}

};

NewEditPatientDial::NewEditPatientDial()
//	: CDialog(NewEditPatientDial::IDD, pParent)
:  CDialog()
{
	//{{AFX_DATA_INIT(NewEditPatientDial)
	m_szPatient_Id = _T("");
	m_szFirstname = _T("");
	m_szLastname = _T("");
	m_szP_Address = _T("");
	m_szP_city = _T("");
	m_szP_zip = _T("");
	m_szK_value_l = _T("");
	m_szK_value_r = _T("");
	m_szK1_value_l = _T("");
	m_szK1_value_r = _T("");
	m_szK2_value_l = _T("");
	m_szK2_value_r = _T("");
	m_szP_age = _T("");
	m_szDob_mm = _T("");
	m_szDob_yy = _T("");
	m_szDob_dd = _T("");
	m_szNote = _T("");
	m_szDoctorName = _T("");
	m_nGender = -1;
	m_szP_phone = _T("");
	m_szP_state = _T("");
	m_strValidMessaage = _T("");
	//}}AFX_DATA_INIT
	m_szDoctorId= _T("");
	m_clrDialBack=RGB(0,0,0);
	m_clrDialFront=RGB(0,0,0);
	m_clrDialBrush=RGB(0,255,0);    
   	m_hbrDialBrush=CreateSolidBrush(m_clrDialBrush);
	m_clrButtonsBrush=RGB(255,255,255); 
	m_hbrButtonsBrush=CreateSolidBrush(m_clrButtonsBrush);
	m_clrButtonsBack=RGB(255,0,0);
	m_clrButtonsFront=RGB(255,255,255);
	m_clrStaticBrush=RGB(0,255,0); 
	m_clrStaticBack=RGB(0,255,0);
	m_clrStaticFront=RGB(0,0,0);
	m_hbrStaticBrush=CreateSolidBrush(m_clrStaticBrush);
	m_clrMsgBoxesBrush=RGB(255,0,0); 
	m_hbrMsgBoxesBrush=CreateSolidBrush(m_clrButtonsBrush);
	m_clrMsgBoxesBack=RGB(255,0,0);
	m_clrMsgBoxesFront=RGB(255,255,255);
	m_clrEditBoxesBrush=RGB(255,255,255); 
	m_hbrEditBoxesBrush=CreateSolidBrush(m_clrButtonsBrush);
	m_clrEditBoxesBack=RGB(255,255,255);
	m_clrEditBoxesFront=RGB(0,0,0);
	m_clrScrollBarsBrush=RGB(255,0,0); 
	m_hbrScrollBarsBrush=CreateSolidBrush(m_clrButtonsBrush);
	m_clrScrollBarsBack=RGB(255,0,0);
	m_clrScrollBarsFront=RGB(255,255,255);
	m_clrListBoxesBrush=RGB(255,0,0); 
	m_hbrListBoxesBrush=CreateSolidBrush(m_clrButtonsBrush);
	m_clrListBoxesBack=RGB(255,0,0);
	m_clrListBoxesFront=RGB(255,255,255);
	m_bCallMeasurePage=FALSE;
}


void NewEditPatientDial::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(NewEditPatientDial)
	DDX_Control(pDX, IDC_P_STATE, m_edState);
	DDX_Control(pDX, IDC_P_AGE, m_edAge);
	DDX_Control(pDX, IDC_NOTE, m_edNote);
	DDX_Control(pDX, IDC_GENDER, m_btMale);
	DDX_Control(pDX, IDC_GENDER2, m_btFemale);
	DDX_Control(pDX, IDC_DOCTOR_NAME, m_edDN);
	DDX_Control(pDX, ID_CANCEL, m_btCancel);
	DDX_Control(pDX, IDC_MESURE, m_btMeasure);
	DDX_Control(pDX, IDSAVE, m_btSave);
	DDX_Control(pDX, IDC_DOCTOR_NAME_COMBO, m_comboDoctorName);
	DDX_Control(pDX, IDC_K1_VALUE_L, m_cntrK1_value_l);
	DDX_Control(pDX, IDC_P_ZIP, m_cntrP_zip);
	DDX_Control(pDX, IDC_P_PHONE, m_cntrP_phone);
	DDX_Control(pDX, IDC_P_DOB_YY, m_cntrDob_yy);
	DDX_Control(pDX, IDC_P_DOB_DD, m_cntrDob_dd);
	DDX_Control(pDX, IDC_P_CITY, m_cntrP_city);
	DDX_Control(pDX, IDC_K2_VALUE_R, m_cntrK2_value_r);
	DDX_Control(pDX, IDC_K2_VALUE_L, m_cntrK2_value_l);
	DDX_Control(pDX, IDC_K1_VALUE_R, m_cntrK1_value_r);
	DDX_Control(pDX, IDC_K_VALUE_R, m_cntrK_value_r);
	DDX_Control(pDX, IDC_K_VALUE_L, m_cntrK_value_l);
	DDX_Control(pDX, IDC_P_DOB_MM, m_cntrDob_mm);
	DDX_Control(pDX, IDC_P_ADDRESS, m_cntrP_Address);
	DDX_Control(pDX, IDC_P_LASTNAME, m_cntrLastname);
	DDX_Control(pDX, IDC_P_FIRSTNAME, m_cntrFirstname);
	DDX_Control(pDX, IDC_PATIENT_ID, m_cntrPatien_id);
	DDX_Text(pDX, IDC_PATIENT_ID, m_szPatient_Id);
	DDX_Text(pDX, IDC_P_FIRSTNAME, m_szFirstname);
	DDX_Text(pDX, IDC_P_LASTNAME, m_szLastname);
	DDX_Text(pDX, IDC_P_ADDRESS, m_szP_Address);
	DDX_Text(pDX, IDC_P_CITY, m_szP_city);
	DDX_Text(pDX, IDC_P_ZIP, m_szP_zip);
	DDX_Text(pDX, IDC_K_VALUE_L, m_szK_value_l);
	DDX_Text(pDX, IDC_K_VALUE_R, m_szK_value_r);
	DDX_Text(pDX, IDC_K1_VALUE_L, m_szK1_value_l);
	DDX_Text(pDX, IDC_K1_VALUE_R, m_szK1_value_r);
	DDX_Text(pDX, IDC_K2_VALUE_L, m_szK2_value_l);
	DDX_Text(pDX, IDC_K2_VALUE_R, m_szK2_value_r);
	DDX_Text(pDX, IDC_P_AGE, m_szP_age);
	DDX_Text(pDX, IDC_P_DOB_MM, m_szDob_mm);
	DDX_Text(pDX, IDC_P_DOB_YY, m_szDob_yy);
	DDX_Text(pDX, IDC_P_DOB_DD, m_szDob_dd);
	DDX_Text(pDX, IDC_NOTE, m_szNote);
	DDX_CBString(pDX, IDC_DOCTOR_NAME_COMBO, m_szDoctorName);
	DDX_Radio(pDX, IDC_GENDER, m_nGender);
	DDX_Text(pDX, IDC_P_PHONE, m_szP_phone);
	DDX_Text(pDX, IDC_P_STATE, m_szP_state);
	DDX_Text(pDX, IDC_ERR_MESSAGE, m_strValidMessaage);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(NewEditPatientDial, CDialog)
	//{{AFX_MSG_MAP(NewEditPatientDial)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDSAVE, OnSave)
	ON_BN_CLICKED(IDC_MESURE, OnMesure)
	ON_BN_CLICKED(ID_CANCEL, On_Cancel)
	ON_COMMAND(IDCKEY_MOVETONEXTFILD, OnMovetonextfild)
	ON_EN_CHANGE(IDC_PATIENT_ID, OnChangePatientId)
	ON_CBN_SELCHANGE(IDC_DOCTOR_NAME_COMBO, OnSelchangeDoctorNameCombo)
	ON_BN_DOUBLECLICKED(IDC_MESURE, OnDoubleclickedMesure)
	ON_WM_KEYUP()
	ON_EN_CHANGE(IDC_K1_VALUE_R, OnChangeK1ValueR)
	ON_EN_CHANGE(IDC_K1_VALUE_L, OnChangeK1ValueL)
	ON_EN_CHANGE(IDC_K2_VALUE_L, OnChangeK2ValueL)
	ON_EN_CHANGE(IDC_K2_VALUE_R, OnChangeK2ValueR)
	ON_EN_KILLFOCUS(IDC_K1_VALUE_R, OnKillfocusK1ValueR)
	ON_EN_KILLFOCUS(IDC_K1_VALUE_L, OnKillfocusK1ValueL)
	ON_EN_KILLFOCUS(IDC_K2_VALUE_L, OnKillfocusK2ValueL)
	ON_EN_KILLFOCUS(IDC_K2_VALUE_R, OnKillfocusK2ValueR)
	ON_EN_KILLFOCUS(IDC_P_DOB_YY, OnKillfocusPDobYy)
	ON_WM_LBUTTONUP()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// NewEditPatientDial message handlers
/*UINT NewEditPatientDial::OnGetDlgCode()
{
       return 0;//DLGC_CHARS;   
}*/
void NewEditPatientDial::ReadDoctorsList()
{
    int NumbRecords=0,i;
	CString Temp0,Temp1,Temp2,Temp3;
	char* pch,*pf,*pchtemp;
	m_DoctorsName_DoctorIdMap.RemoveAll();
	m_DoctorId_DoctorsNameMap.RemoveAll();
    if(m_arListReg[m_enTypeRegNode].Format==NULL)
		return;
    int numbchar=YtvGetProfileSection(m_arListReg[m_enTypeRegNode].Node,NULL,0);
	if(numbchar==0)
		return;
	pch=new char[numbchar+1];
	numbchar=YtvGetProfileSection(m_arListReg[m_enTypeRegNode].Node,pch,numbchar+1);
	if(numbchar==0)
	{
		delete []pch;
		return;
    }
	pchtemp=pch;
	Temp3.Empty();
	for(i=1;pchtemp[0];i++,pchtemp+=strlen(pchtemp)+1,NumbRecords++)
    {
       Temp2=pchtemp;
       m_DoctorId_DoctorsNameMap.SetAt(Temp2,Temp3);       
    }
    NumbRecords=i-1;
	delete []pch;
	POSITION pos=m_DoctorId_DoctorsNameMap.GetStartPosition();
    for(i=1;i<=NumbRecords;i++)
    {
		if(pos==NULL)
			break;
		m_DoctorId_DoctorsNameMap.GetNextAssoc(pos,Temp0,Temp1);
       	pf=m_arListReg[m_enTypeRegNode].Format[3];
		if(pf==NULL)
			   continue;
        Temp1=YtvGetProfileString(Temp0,pf,"",1);
		pf=m_arListReg[m_enTypeRegNode].Format[4];
		if(pf==NULL)
			   continue;
        Temp2=YtvGetProfileString(Temp0,pf,"",1);
		Temp1+=' '+Temp2;
		m_DoctorsName_DoctorIdMap.SetAt(Temp1,Temp0);              
    }
	pos=m_DoctorsName_DoctorIdMap.GetStartPosition();
    for(i=1;i<=NumbRecords;i++)
    {
		if(pos==NULL)
			break;
		m_DoctorsName_DoctorIdMap.GetNextAssoc(pos,Temp0,Temp1);
       	((CComboBox*)&m_comboDoctorName)->AddString(Temp0);               
    }
    m_comboDoctorName.SetWindowText(m_szDoctorName);
	UpdateData(FALSE);
	
}
BOOL NewEditPatientDial::OnInitDialog() 
{	
	m_bInitYet=TRUE;
	if(IsWindow(m_hWnd)==FALSE)
         m_hWnd=NULL;
	CDialog::OnInitDialog();
    //this->SubclassDlgItem(m_comboDoctorName.GetDlgCtrlID(),this);
	//m_comboDoctorName.SubclassEditBox();
	m_nfildnumber =0 ;
	// TODO: Add extra initialization here
	ShowWindow(SW_MAXIMIZE);
	m_enTypeRegNode=encDoctorTypeRec;
	YtvSetAdditionalRegNode(m_arListReg[m_enTypeRegNode].Node);
    ReadDoctorsList(); 
	m_enTypeRegNode=encFullPatientTypeRec;
	YtvSetAdditionalRegNode(m_arListReg[m_enTypeRegNode].Node);
    if(m_bEdit)
    {
       ReadRegDB();
	   SetWindowText("Edit Patient");
    }
	else
        SetWindowText("New Patient");   
	m_curdt=CTime::GetCurrentTime();
	m_bInitYet=FALSE;
	//CDialog::OnInitDialog();
	//return FALSE;
    return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

HBRUSH NewEditPatientDial::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH hbr;
	switch(nCtlColor)
	{
		default:

			hbr=CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
			return hbr; 
			
		case CTLCOLOR_BTN: //  Button control
            SetTextColor(pDC->m_hDC,m_clrButtonsFront);
			SetBkColor(pDC->m_hDC,m_clrButtonsBack); 
            return m_hbrButtonsBrush;
						            
        case CTLCOLOR_DLG://   Dialog box
            SetTextColor(pDC->m_hDC,m_clrDialFront);
			SetBkColor(pDC->m_hDC,m_clrDialBack); 
            return m_hbrDialBrush;               
        case CTLCOLOR_EDIT://   Edit control
            SetTextColor(pDC->m_hDC,m_clrEditBoxesFront);
			SetBkColor(pDC->m_hDC,m_clrEditBoxesBack);  
            return m_hbrEditBoxesBrush;
case CTLCOLOR_LISTBOX://   List-box control
            SetTextColor(pDC->m_hDC,m_clrListBoxesFront);
			SetBkColor(pDC->m_hDC,m_clrListBoxesBack);  
            return m_hbrListBoxesBrush;
case CTLCOLOR_MSGBOX://   Message box
            SetTextColor(pDC->m_hDC,m_clrMsgBoxesFront);
			SetBkColor(pDC->m_hDC,m_clrMsgBoxesBack); 
			return m_hbrMsgBoxesBrush;
case CTLCOLOR_SCROLLBAR://   Scroll-bar control
            SetTextColor(pDC->m_hDC,m_clrScrollBarsFront);
			SetBkColor(pDC->m_hDC,m_clrScrollBarsBack);  
            return m_hbrScrollBarsBrush;
case CTLCOLOR_STATIC://   Static control 
            SetTextColor(pDC->m_hDC,m_clrStaticFront); 
            SetBkColor(pDC->m_hDC,m_clrStaticBack); 
            return m_hbrStaticBrush;
	}
	
	// TODO: Return a different brush if the default is not desired
	return CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
}
void NewEditPatientDial::Exit()
{
	YtvSetAdditionalRegNode(m_pdb->m_strAddionalRegistryOld);
	if(g_szPatientId!=m_szPatient_Id)
		g_szPatientId=m_szPatient_Id;
	g_bNewPatient=TRUE;
	m_pdb->ReadRegistryDB();
	m_pdb->UpdateData(FALSE);
	if(m_bCallMeasurePage==FALSE || m_pdb->m_pPSh==NULL || m_pdb->m_pPPg==NULL)
	{
		DestroyWindow();
		//delete this;
		return;
    }
    m_pdb->m_pPSh->SetActivePage(m_pdb->m_pPPg);
	DestroyWindow();
	//delete this;
}
void NewEditPatientDial::OnSave() 
{
	// TODO: Add your control notification handler code here
	if(::GetFocus() != ::GetDlgItem (m_hWnd, IDSAVE))
	{
	    NextDlgCtrl(); // Tab to next edit box
		return;
    }
	UpdateData(TRUE);
	if(m_szPatient_Id.IsEmpty())
	{
       m_strValidMessaage="Patient ID is undefined";
	   MessageBeep(MB_ICONQUESTION);      
       UpdateData(FALSE);
	   return; 
    }
	WriteRegDB();
	m_bCallMeasurePage=FALSE;
	Exit();
	//CDialog::OnOK();
}
void NewEditPatientDial::OnMesure() 
{
	// TODO: Add your control notification handler code here
    UpdateData(TRUE);
	if(m_szPatient_Id.IsEmpty())
		return; 
	WriteRegDB();
    m_bCallMeasurePage=TRUE;
	Exit();
	//CDialog::OnOK();	
}
void NewEditPatientDial::OnCancel() 
{
    On_Cancel(); 
}
void NewEditPatientDial::On_Cancel() 
{
	// TODO: Add extra cleanup here
	m_bCallMeasurePage=FALSE;
	Exit();
	//CDialog::OnCancel();
}

void NewEditPatientDial::OnMovetonextfild() 
{
	// TODO: Add your command handler code here
	if(m_bInitYet)
		return;
   switch (m_nfildnumber) 
   {
   default:

   break;
   case 1: 
	   ::SetFocus(m_cntrFirstname.m_hWnd );
    break;

   }
}

void NewEditPatientDial::OnChangePatientId() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
    m_nfildnumber = 1 ;	
}

void NewEditPatientDial::OnSelchangeDoctorNameCombo() 
{
	// TODO: Add your control notification handler code here
	if(m_bInitYet)
		return;
	UpdateData();
	BOOL b=m_DoctorsName_DoctorIdMap.Lookup(m_szDoctorName,m_szDoctorId);
    if(!b)
    {
		m_szDoctorId=m_szDoctorName;
		m_DoctorsName_DoctorIdMap.SetAt(m_szDoctorName,m_szDoctorId);
        m_DoctorId_DoctorsNameMap.SetAt(m_szDoctorId,m_szDoctorName);
        m_enTypeRegNode=encDoctorTypeRec;
	    YtvSetAdditionalRegNode(m_arListReg[m_enTypeRegNode].Node);
   		YtvWriteProfileString(m_szDoctorId,m_pszDoctorRecFormat[2],m_szDoctorId,1);
		YtvWriteProfileString(m_szDoctorId,m_pszDoctorRecFormat[3],m_szDoctorName,1); 
		YtvWriteProfileString(m_szDoctorId,m_pszDoctorRecFormat[4],m_szDoctorName,1); 
	    m_enTypeRegNode=encFullPatientTypeRec;
	    YtvSetAdditionalRegNode(m_arListReg[m_enTypeRegNode].Node);
	}
}
int NewEditPatientDial::WriteRegDB()
{
   if(m_szPatient_Id.IsEmpty())
	   return 0;
    int j;
	CString Temp0,Temp1;
	char *pf;
    if(m_arListReg[m_enTypeRegNode].Format==NULL)
		return 0;  
    pf=m_arListReg[m_enTypeRegNode].Format[2];
	if(pf==NULL)
		return 0;
	UpdateData();
	BOOL b=m_DoctorsName_DoctorIdMap.Lookup(m_szDoctorName,m_szDoctorId);
    if(!b)
    	m_szDoctorId=m_szDoctorName;
	m_arListReg[encFullPatientTypeRec].Data=new CString[19];
	m_arListReg[encFullPatientTypeRec].Data[0]=m_szPatient_Id;
	m_arListReg[encFullPatientTypeRec].Data[1]=m_szFirstname;
	m_arListReg[encFullPatientTypeRec].Data[2]=m_szLastname;	
    m_arListReg[encFullPatientTypeRec].Data[3]=m_szDoctorName;
    m_arListReg[encFullPatientTypeRec].Data[4]=m_szNote;
	m_arListReg[encFullPatientTypeRec].Data[5]=m_szDoctorId;
    m_arListReg[encFullPatientTypeRec].Data[6]=m_szDob_mm+'/'+m_szDob_dd+'/'+m_szDob_yy;
	m_arListReg[encFullPatientTypeRec].Data[7]=m_nGender==0?"M":"F";
	m_arListReg[encFullPatientTypeRec].Data[8]=m_szP_Address;
	m_arListReg[encFullPatientTypeRec].Data[9]=m_szP_city;
    m_arListReg[encFullPatientTypeRec].Data[10]=m_szP_state;
    m_arListReg[encFullPatientTypeRec].Data[11]=m_szP_zip;
	m_arListReg[encFullPatientTypeRec].Data[12]=m_szP_phone;
    m_arListReg[encFullPatientTypeRec].Data[13]=m_szK1_value_r;
    m_arListReg[encFullPatientTypeRec].Data[14]=m_szK2_value_r;
	m_arListReg[encFullPatientTypeRec].Data[15]=m_szK_value_r;
	m_arListReg[encFullPatientTypeRec].Data[16]=m_szK1_value_l;
    m_arListReg[encFullPatientTypeRec].Data[17]=m_szK2_value_l;
	m_arListReg[encFullPatientTypeRec].Data[18]=m_szK_value_l;	
	for(j=0;;j++)
    {
           pf=m_arListReg[m_enTypeRegNode].Format[j];
		   if(pf==NULL)
			   break;
		   Temp1=m_arListReg[m_enTypeRegNode].Data[j];
           YtvWriteProfileString(m_szPatient_Id,pf,Temp1,1); 		 
    }   
	delete []m_arListReg[encFullPatientTypeRec].Data;
    m_arListReg[encFullPatientTypeRec].Data=NULL;
	return 19;
}
int NewEditPatientDial::ReadRegDB()
{
   if(m_szPatient_Id.IsEmpty())
	   return 0;
    int j;
	CString Temp0,Temp1;
	char *pf;
    if(m_arListReg[m_enTypeRegNode].Format==NULL)
		return 0;  
    pf=m_arListReg[m_enTypeRegNode].Format[2];
	if(pf==NULL)
		return 0;
	UpdateData();
	m_arListReg[encFullPatientTypeRec].Data=new CString[19];
	for(j=0;;j++)
    {
           pf=m_arListReg[m_enTypeRegNode].Format[j];
		   if(pf==NULL)
			   break;
		   m_arListReg[m_enTypeRegNode].Data[j]=YtvGetProfileString(m_szPatient_Id,pf,"",1); 		 
    }   
	m_szFirstname=m_arListReg[encFullPatientTypeRec].Data[1];
	m_szLastname=m_arListReg[encFullPatientTypeRec].Data[2];	
    m_szDoctorName=m_arListReg[encFullPatientTypeRec].Data[3];
    m_szNote=m_arListReg[encFullPatientTypeRec].Data[4];
	m_szDoctorId=m_arListReg[encFullPatientTypeRec].Data[5];
	if(m_szDoctorId.IsEmpty() && !m_szDoctorName.IsEmpty())
    {
		m_szDoctorId=m_szDoctorName;
		m_DoctorsName_DoctorIdMap.SetAt(m_szDoctorName,m_szDoctorId);
        m_DoctorId_DoctorsNameMap.SetAt(m_szDoctorId,m_szDoctorName);
        m_enTypeRegNode=encDoctorTypeRec;
	    YtvSetAdditionalRegNode(m_arListReg[m_enTypeRegNode].Node);
   		YtvWriteProfileString(m_szDoctorId,m_pszDoctorRecFormat[2],m_szDoctorId,1);
		YtvWriteProfileString(m_szDoctorId,m_pszDoctorRecFormat[3],m_szDoctorName,1); 
		YtvWriteProfileString(m_szDoctorId,m_pszDoctorRecFormat[4],m_szDoctorName,1); 
	    m_enTypeRegNode=encFullPatientTypeRec;
	    YtvSetAdditionalRegNode(m_arListReg[m_enTypeRegNode].Node);
    }
	Temp0=m_arListReg[encFullPatientTypeRec].Data[6];
	j=Temp0.Find('/');
	if(j>0)
	{
		m_szDob_mm=Temp0.Left(j);
		Temp0=Temp0.Mid(j+1);
        j=Temp0.Find('/');
	    if(j>0)
		{
           m_szDob_dd=Temp0.Left(j);
		   m_szDob_yy=Temp0.Mid(j+1);
        }
    }	
	CTime dt=CTime::GetCurrentTime();
	int temp,temp0,tempy=atoi(m_szDob_yy),tempm=atoi(m_szDob_mm),tempd=atoi(m_szDob_dd);
	if(tempy<100)
		tempy+=1900;
    m_szDob_yy.Format("%d",tempy);
	if(tempy>dt.GetYear() || tempy<1901)
		tempy=dt.GetYear();
    if(tempd>31||tempd<1)
		tempm=31;
    if(tempm>12||tempm<1)
		tempm=12;
	temp=dt.GetYear()-tempy;
	temp*=12;
    temp0=dt.GetMonth();
	int age=(temp+temp0-tempm)/12;
	CString Temp;
	Temp.Format("%d",age);
	m_szP_age=Temp;
	if(m_arListReg[encFullPatientTypeRec].Data[7]=="M")
	      m_nGender=0;
    else
          m_nGender=1;
	m_szP_Address=m_arListReg[encFullPatientTypeRec].Data[8];
	m_szP_city=m_arListReg[encFullPatientTypeRec].Data[9];
    m_szP_state=m_arListReg[encFullPatientTypeRec].Data[10];
    m_szP_zip=m_arListReg[encFullPatientTypeRec].Data[11];
	m_szP_phone=m_arListReg[encFullPatientTypeRec].Data[12];
    m_szK1_value_r=m_arListReg[encFullPatientTypeRec].Data[13];
    m_szK2_value_r=m_arListReg[encFullPatientTypeRec].Data[14];
	m_szK_value_r=m_arListReg[encFullPatientTypeRec].Data[15];
	m_szK1_value_l=m_arListReg[encFullPatientTypeRec].Data[16];
    m_szK2_value_l=m_arListReg[encFullPatientTypeRec].Data[17];
	m_szK_value_l=m_arListReg[encFullPatientTypeRec].Data[18];	
	delete []m_arListReg[encFullPatientTypeRec].Data;
    m_arListReg[encFullPatientTypeRec].Data=NULL;
	UpdateData(FALSE);
	return 19;
}

void NewEditPatientDial::OnDoubleclickedMesure() 
{
	// TODO: Add your control notification handler code here
	OnMesure();
}
void NewEditPatientDial::OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	if(nChar==VK_RETURN || nChar==VK_TAB)
	{
		NextDlgCtrl();		
	}
	CDialog::OnKeyUp(nChar, nRepCnt, nFlags);
}

BOOL NewEditPatientDial::OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult) 
{
	// TODO: Add your specialized code here and/or call the base class
	
	switch(wParam)
    {
	default:
		break;
    case IDSAVE:
        if(((NMHDR*)lParam)->code==WM_LBUTTONUP)
        {
            PostMessage(WM_COMMAND,wParam,0);
        }
		break;
    }
	return CDialog::OnNotify(wParam, lParam, pResult);
}


BOOL NewEditPatientDial::Create(HWND hParentWnd) 
{
	// TODO: Add your specialized code here and/or call the base class
	m_pdb=(DataBasePage*)CWnd::FromHandle(hParentWnd);
	BOOL b=CDialog::Create(IDD,m_pdb);
	return b;
}

void NewEditPatientDial::OnChangeK1ValueR() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	if(m_bInitYet)
		return;
	UpdateData();
	int k1,k2;
	k2=(int)(atof(m_szK2_value_r)*100.0+0.5);
    k1=(int)(atof(m_szK1_value_r)*100.0+0.5);
	double av=(double)((k1+k2+1)/2)/100.0;
	m_szK_value_r.Format("%6.2f",av);
	m_szK_value_r.TrimLeft();
	UpdateData(FALSE);
}

void NewEditPatientDial::OnChangeK1ValueL() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
    if(m_bInitYet)
		return;
	UpdateData();
    	int k1,k2;
	k2=(int)(atof(m_szK2_value_l)*100.0+0.5);
    k1=(int)(atof(m_szK1_value_l)*100.0+0.5);
	double av=(double)((k1+k2+1)/2)/100.0;
	m_szK_value_l.Format("%6.2f",av);
	m_szK_value_l.TrimLeft();
	UpdateData(FALSE);
}

void NewEditPatientDial::OnChangeK2ValueL() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	if(m_bInitYet)
		return;
	UpdateData();
    int k1,k2;
	k2=(int)(atof(m_szK2_value_l)*100.0+0.5);
    k1=(int)(atof(m_szK1_value_l)*100.0+0.5);
	double av=(double)((k1+k2+1)/2)/100.0;
	m_szK_value_l.Format("%6.2f",av);
	m_szK_value_l.TrimLeft();
	UpdateData(FALSE);	
}

void NewEditPatientDial::OnChangeK2ValueR() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	if(m_bInitYet)
		return;
	UpdateData();
    int k1,k2;
	k2=(int)(atof(m_szK2_value_r)*100.0+0.5);
    k1=(int)(atof(m_szK1_value_r)*100.0+0.5);
	double av=(double)((k1+k2+1)/2)/100.0;
	m_szK_value_r.Format("%6.2f",av);
	m_szK_value_r.TrimLeft();
	UpdateData(FALSE);
}

void NewEditPatientDial::OnKillfocusK1ValueR() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
    int k1=(int)(atof(m_szK1_value_r)*100.0+0.5);
	double av=((double)k1)/100.0;
	if((av<35.0 || av>60.0) && av !=0.0)
    {
       m_strValidMessaage="K1 must be greater 35 and less 60";
	   MessageBeep(MB_ICONQUESTION);
//       m_cntrK1_value_r.SetFocus();
       UpdateData(FALSE);
	   return;
    }
	m_strValidMessaage.Empty();
	m_szK1_value_r.Format("%6.2f",av);
	m_szK1_value_r.TrimLeft();
	UpdateData(FALSE);
	OnChangeK1ValueR();    
}

void NewEditPatientDial::OnKillfocusK1ValueL() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
    int k1=(int)(atof(m_szK1_value_l)*100.0+0.5);
	double av=((double)k1)/100.0;
	if((av<35.0 || av>60.0) && av !=0.0)
    {
       m_strValidMessaage="K1 must be greater 35 and less 60";
	   MessageBeep(MB_ICONQUESTION);
//	   m_cntrK1_value_l.SetFocus();
       UpdateData(FALSE);
	   return;
    }
	m_strValidMessaage.Empty();
	m_szK1_value_l.Format("%6.2f",av);
	m_szK1_value_l.TrimLeft();
	UpdateData(FALSE);
	OnChangeK1ValueL();   
}

void NewEditPatientDial::OnKillfocusK2ValueL() 
{
	// TODO: Add your control notification handler code here
    UpdateData();
    int k2=(int)(atof(m_szK2_value_l)*100.0+0.5);
	double av=((double)k2)/100.0;
	if((av<35.0 || av>60.0)  && av !=0.0)
    {
       m_strValidMessaage="K2 must be greater 35 and less 60";
	   MessageBeep(MB_ICONQUESTION);
//	   m_cntrK2_value_l.SetFocus();
       UpdateData(FALSE);
	   return;
    }
	m_strValidMessaage.Empty();
	m_szK2_value_l.Format("%6.2f",av);
	m_szK2_value_l.TrimLeft();
	UpdateData(FALSE);
	OnChangeK2ValueL();    	
}

void NewEditPatientDial::OnKillfocusK2ValueR() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
    int k2=(int)(atof(m_szK2_value_r)*100.0+0.5);
	double av=((double)k2)/100.0;
	if((av<35.0 || av>60.0) && av !=0.0)
    {
       m_strValidMessaage="K2 must be greater 35 and less 60";
	   MessageBeep(MB_ICONQUESTION);
//	   m_cntrK2_value_r.SetFocus();
       UpdateData(FALSE);
	   return;
    }
    m_strValidMessaage.Empty();
	m_szK2_value_r.Format("%6.2f",av);
	m_szK2_value_r.TrimLeft();
	UpdateData(FALSE);
	OnChangeK2ValueR();     
}

void NewEditPatientDial::OnKillfocusPDobYy() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	m_strValidMessaage.Empty();
	int ii=m_szDob_yy.GetLength();
	for(int i=0; i<ii; i++)
	   if(!isdigit(m_szDob_yy[i]))
       {
		   m_strValidMessaage="DOB year is invalid (a not numeric character is typed in)";
	       MessageBeep(MB_ICONQUESTION);
//		   m_cntrDob_yy.SetFocus();
		   UpdateData(FALSE);
		   return;
       }
    m_szDob_yy.TrimLeft();
	int yy=atoi(m_szDob_yy);
	if(yy<1800)
       {
		   m_strValidMessaage="DOB year is invalid";
	       MessageBeep(MB_ICONQUESTION);
//		   m_cntrDob_yy.SetFocus();
		   UpdateData(FALSE);
		   return;
       }
    m_szDob_mm.TrimLeft();
	int mm=atoi(m_szDob_mm);
	if(mm<1 || mm>12)
       {
		   m_strValidMessaage="DOB month is invalid";
	       MessageBeep(MB_ICONQUESTION);
//		   m_cntrDob_mm.SetFocus();
		   UpdateData(FALSE);
		   return;
       }
	m_szDob_dd.TrimLeft();
	int dd=atoi(m_szDob_dd);
	if(dd<1 || dd>31)
       {
		   m_strValidMessaage="DOB day is invalid";
	       MessageBeep(MB_ICONQUESTION);
//		   m_cntrDob_dd.SetFocus();
		   UpdateData(FALSE);
		   return;
       }
	m_strValidMessaage.Empty();
    int age;
	if((m_curdt.GetMonth()==mm && dd>=m_curdt.GetDay()) || m_curdt.GetMonth()>mm)
        age=m_curdt.GetYear()-yy;
	else
		age=m_curdt.GetYear()-yy-1;
	if(age<0)
		age=0;
    m_szP_age.Format("%d",age);
	UpdateData(FALSE);
}
void NewEditPatientDial::PostNcDestroy() 
{
	// TODO: Add your specialized code here and/or call the base class
	delete this;
	//CDialog::PostNcDestroy();
}

void NewEditPatientDial::PreSubclassWindow() 
{
	// TODO: Add your specialized code here and/or call the base class
	
	CDialog::PreSubclassWindow();
}
/*
void NewEditPatientDial::OnKillfocusNote() 
{
	// TODO: Add your control notification handler code here
	//m_cntrK1_value_r.SetFocus();
}*/
