//{{AFX_INCLUDES()
#include "msflexgrid.h"
//#include "ytvgraphctrl.h"
//}}AFX_INCLUDES
#if !defined(AFX_PATIENTHISTORYDIAL_H__2149A8D4_EF1B_45FA_A232_D5DA1B67A27E__INCLUDED_)
#define AFX_PATIENTHISTORYDIAL_H__2149A8D4_EF1B_45FA_A232_D5DA1B67A27E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PatientHistoryDial.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// PatientHistoryDial dialog

class PatientHistoryDial : public CDialog
{
// Construction
public:
	PatientHistoryDial(CWnd* pParent = NULL);   // standard constructor
    CString m_strAddionalRegistryOld;
	DataBasePage* m_pdb;
	void InitGraph();
	void EmptyLRGrids();
	void SetSpeeds();
	void DrawMarks(unsigned int MakeSound);
	int ReadRegDB();
	int ReadRegAllSessions();
	int ReadRegSession(const char* SessionDate);
	void CalculateAvSd(int GLine);
	void CalculateAvCommon(int GLine);
	void DisplayGraph();
	void PlayScan(const char* SesDate,const char* ScanNum);
	int CountNumberOfScans(const char* SessionDate);
	int m_Lrow;
	int m_Rrow;
	CFont m_font;
	struct ThreshHolds
    {
      unsigned Pics[5];
    }m_curThr,m_DelThr;
	CArray<unsigned int, unsigned int>m_arODScanIds;
	CArray<unsigned int, unsigned int>m_arOSScanIds;
   	CString m_strFc;
	CString m_strSesDate;
	CString m_szPatient_Id;
	CString	m_szDoctorId;
	CString	m_szFirstname;
	CString	m_szLastname;
	CString	m_szP_Address;
	CString	m_szP_city;
	CString	m_szP_zip;
	CString	m_szK_value_l;
	CString	m_szK_value_r;
	CString	m_szK1_value_l;
	CString	m_szK1_value_r;
	CString	m_szK2_value_l;
	CString	m_szK2_value_r;
	CString	m_szP_age;
	CString	m_szDob_mm;
	CString	m_szDob_yy;
	CString	m_szDob_dd;
	CString	m_szNote;
	CString	m_szDoctorName;
	int		m_nGender;
	CString	m_szP_phone;
	CString	m_szP_state;
	CString m_szTodayDate;
	CString m_szMethod;
	CString m_szMode;
	int m_nNextScan;
	int m_nManualMeasureCount;
    BOOL m_bOD;
	int m_NumbPics[4];
    int m_DistPics[4];
	double m_dVelocityCoef[4];
	int m_nMaxRetina;//=(int)(255.0*0.98+0.5);//?
	int m_nPick;//=(int)(255.0*0.90+0.5);?
    int m_nThreshHold;//=(int)(65.0*1.0+0.5);
	int m_nMinComp;
	int m_nRetinaGate;
	int m_nLensGate;
	int m_nCorniaGate;
	int m_nPrevScanNumber;
	int m_nCurrentScan;
	int m_nDBCurrentScanGroup;
	int m_bDisplay;
	unsigned m_uPrevScanNumber;
	int m_nCurrentScanGroup;
	CString m_strGroupScan;
	int m_nGlobalScanGroup;
	int m_nModeAMV;
	int m_nDBFilter;
	int m_nDBCataract;
	int m_nDBContact;
	int m_nAuto;
	int m_nCataract;
	int m_nContact;
	double m_dDistance;
	BOOL m_bFilterNotInManualMode;
	CString m_strFormat;
	double m_dTotalAL;
	double m_dAL;//=(m_NumbPics[encRetinaThreshHold]-m_NumbPics[encCorniaThreshHold])*0.03875;
    double m_dACD;//=(m_NumbPics[encLensThreshHoldBegin]-m_NumbPics[encCorniaThreshHold])*0.03835;
    double m_dLT;//=(m_NumbPics[encLensThreshHoldEnd]-m_NumbPics[encLensThreshHoldBegin])*0.041;
    double m_dVIT;
	int m_nAllLastSelectedScanNumber;
	int m_nODLastSelectedScanNumber;
	int m_nOSLastSelectedScanNumber;
	int m_nGlobalSessionLastScanNumber;
	double m_dLTotalAL;
	double m_dRTotalAL;
	double m_dALSD;
	static	enum entypeRegistryNodes  m_enTypeRegNode;	
	static char* m_pszPatientRecFormat[];
	static char* m_pszDoctorRecFormat[];
	static char* m_pszLensTypeRecFormat[];
	static char* m_pszFullPatientRecFormat[];
	static char* m_pszFullDoctorRecFormat[];
	static char* m_pszFullLensTypeRecFormat[];
	static char* m_pszEditNewLensTypeRecFormat[];
	static char* m_pszMeasureHistoryTypeRecFormat[];
	static char* m_pszCalculatorTypeRecFormat[];
	static char* m_pszPrintTypeRecFormat[];
	static char* m_pszScansTypeRecFormat[];
	static struct sttypeRegistryNodes m_arListReg[];
// Dialog Data
	//{{AFX_DATA(PatientHistoryDial)
	enum { IDD = IDD_PATIENT_VIEW };
	CStatic	m_stAvelo;
	CEdit	m_stAvAL;
	CButton	m_btOK;
	CButton	m_btCancel;
	CStatic	m_stVitMM;
	CStatic	m_stLab03;
	CStatic	m_stLab02;
	CStatic	m_stLab5;
	CStatic	m_stlab4;
	CStatic	m_stlab2;
	CStatic	m_stLab3;
	CStatic	m_stLab;
	CStatic	m_stRSD;
	CStatic	m_stRAVERAGE;
	CStatic	m_stLeftAverage;
	CStatic	m_stLSD;
	CStatic	m_stRighteye;
	CStatic	m_stLeftEye;
	CMSFlexGrid	m_gridLeftView;
	CMSFlexGrid	m_gridRightView;
	CMSFlexGrid	m_gridSessions;
	CString	m_stleftAverageValue;
	CString	m_stRightAvaerageValue;
	CString	m_stRightSdValue;
	CString	m_stLeftSdValue;
	CString	m_stlbmark;
	CString	m_strbmark;
	CString	m_stal_av_velocity;
	CString	m_stAcd;
	CString	m_stAxisLength;
	CString	m_stDoctorName;
	CString	m_stLt;
	CString	m_stPatientId;
	CString	m_stPatientName;
	CString	m_stVit;
	CMSFlexGrid	m_gridPatIdNamDoc;
	CMSFlexGrid	m_gridHistoryAlAcdLtVit;
	CMSFlexGrid	m_gridHistoryRAverSd;
	CMSFlexGrid	m_gridHistoryLAverSd;
	CTime	m_ctDateTime;
	CString	m_AxialLength;
	CString	m_szAverage;
	CString	m_szAvAl;
	CYtvGraphCtrl	m_imHistoryGraph;
	//}}AFX_DATA
    CMSFlexGrid* m_pgridSquares;
	CMSFlexGrid* m_pgridMaAvSd;
    HBRUSH   m_hbrDialBrush;
	COLORREF m_clrDialBrush;
	COLORREF m_clrDialBack;
	COLORREF m_clrDialFront;
	HBRUSH   m_hbrButtonsBrush;
    COLORREF m_clrButtonsBrush; 
	COLORREF m_clrButtonsBack;
	COLORREF m_clrButtonsFront;
	HBRUSH   m_hbrStaticBrush;
    COLORREF m_clrStaticBrush; 
	COLORREF m_clrStaticBack;
	COLORREF m_clrStaticFront;
	COLORREF m_clrMsgBoxesBrush; 
	HBRUSH   m_hbrMsgBoxesBrush;
	COLORREF m_clrMsgBoxesBack;
	COLORREF m_clrMsgBoxesFront;
	COLORREF m_clrEditBoxesBrush; 
	HBRUSH   m_hbrEditBoxesBrush;
	COLORREF m_clrEditBoxesBack;
	COLORREF m_clrEditBoxesFront;
	COLORREF m_clrScrollBarsBrush; 
	HBRUSH   m_hbrScrollBarsBrush;
	COLORREF m_clrScrollBarsBack;
	COLORREF m_clrScrollBarsFront;
	COLORREF m_clrListBoxesBrush; 
	HBRUSH   m_hbrListBoxesBrush;
	COLORREF m_clrListBoxesBack;
	COLORREF m_clrListBoxesFront;
	int m_nMemorySize;
	int m_npDataBuf[1024];
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(PatientHistoryDial)
	public:
	virtual BOOL Create(CWnd* pParentWnd);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(PatientHistoryDial)
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	virtual BOOL OnInitDialog();
	afx_msg void OnClickGridLefthistory();
	afx_msg void OnClickGridrighthistory();
	afx_msg void OnClickGridSessions();
	virtual void OnOK();
	virtual void OnCancel(); 
	afx_msg void OnSelChangeGridSessions();
	afx_msg void OnRowColChangeGridLefthistory();
	afx_msg void OnRowColChangeGridrighthistory();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PATIENTHISTORYDIAL_H__2149A8D4_EF1B_45FA_A232_D5DA1B67A27E__INCLUDED_)
